uk.gov.hmrc.play.http.ws

# WSHttpResponse

###
Related Doc: package ws

#### class WSHttpResponse extends HttpResponse

Linear Supertypes
HttpResponse, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSHttpResponse
2. HttpResponse
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new WSHttpResponse(wsResponse: WSResponse)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def allHeaders: Map[String, Seq[String]]

   Definition Classes
     WSHttpResponse → HttpResponse

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def body: String

   Definition Classes
     WSHttpResponse → HttpResponse

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def header(key: String): Option[String]

    Definition Classes
      HttpResponse

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def json: JsValue

    Definition Classes
      WSHttpResponse → HttpResponse

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def status: Int

    Definition Classes
      WSHttpResponse → HttpResponse

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from HttpResponse

### Inherited from AnyRef

### Inherited from Any

### Ungrouped